# PODNAME: Authen::Krb5::Principal
# ABSTRACT: Kerberos 5 princpal object.

__END__

=pod

=encoding UTF-8

=head1 NAME

Authen::Krb5::Principal - Kerberos 5 princpal object.

=head1 VERSION

version 1.906

=head1 METHODS

=head2 C<realm()>

Returns the realm of the principal.

=head2 C<type()>

Returns the type of the principal.

=head2 C<data()>

Returns a list containing the components of the principal (everything before
the realm).

=head1 AUTHOR

Jeff Horwitz <jeff@smashing.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2000 by Jeff Horwitz.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
